Bug 1384542 - [QA](6.4.z) Make the authentication configurable in the eap testsuite
Summary: [QA](6.4.z) Make the authentication configurable in the eap testsuite
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite
Version: 6.4.16
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: CR1
: EAP 6.4.17
Assignee: Spolti
QA Contact: Peter Mackay
URL:
Whiteboard: no_qe_effort
Depends On:
Blocks: eap6417-payload
TreeView+ depends on / blocked
 
Reported: 2016-10-13 13:52 UTC by Spolti
Modified: 2017-09-06 13:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 13:35:29 UTC
Type: Task
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-6424 0 Optional Verified (7.1.0) Make the authentication configurable in the eap testsuite 2017-08-31 07:21:31 UTC
Red Hat Issue Tracker JBEAP-6425 0 Optional Pull Request Sent [QA](7.0.z) Make the authentication configurable in the eap testsuite 2017-08-31 07:21:31 UTC
Red Hat Issue Tracker WFLY-7309 0 Optional Resolved Make the authentication configurable in the testsuite 2017-08-31 07:21:30 UTC

Description Spolti 2016-10-13 13:52:25 UTC
Description of problem:
Actually some tests cases of EAP's testsuite failes when running against a remote eap instance.
In this specific case, EAP 6 instances running on Openshift v3.
In order to get those tests working we have to modify some classes to configure the authentication.

Version-Release number of selected component (if applicable):
6.4.x

How reproducible:
Run any test which uses CLI or EJB remotely.


Actual results:
Tests fail due authentication  failed

Expected results:
Tests should pass even in a remote container.

Additional info:

Comment 2 Spolti 2017-06-14 20:06:23 UTC
This change only affects the testsuite, there are no changes that might affect the end users.

Comment 4 Peter Mackay 2017-08-25 14:24:08 UTC
Verified with EAP 6.4.17.CP.CR4

Comment 5 Petr Penicka 2017-09-06 13:35:29 UTC
Released on 2017-09-05 as part of the EAP 6.4.17 release.


Note You need to log in before you can comment on or make changes to this bug.